Register
Registers a new customer to a license.
KEYZY can send an email to the customer with the license information. To do so, the settings for the connected SKU should be “true”.
POST https://api.keyzy.io/v2/licenses/register
Required parameters
| Parameter | Type | Description |
|---|---|---|
| app_id | string | An app_id that has “write” permission |
| api_key | string | An api_key that has “write” permission |
| sku_number | string | A sku_number |
| name | string | Licensee’s name |
| string | Licensee’s email address |
Optional parameters
| Parameter | Type | Description |
|---|---|---|
| type | string | License’s type. ‘perpetual’, ‘subscription’ or ‘trial’. If omitted, the license inherits the SKU’s type. |
Start and end time for ‘subscription’ and ‘trial’
| Parameter | Type | Description |
|---|---|---|
| start_at | int | License’s start time for validation. Unix timestamp. |
| end_at | int | License’s end time for validation. Unix timestamp. |
- Subscription: both are required, and
end_atcannot be earlier thanstart_at. - Trial: both are optional. If either is omitted, the trial starts now and lasts the SKU’s default trial time. If you send both,
end_atcannot be earlier thanstart_at.
Returns
Keyzy responds with a message containing a serial number if the request is correct.
{
"message": {
"serial": "1234-5678-89AB-CDEF-GHIJ"
}
}